
#include <Gosu/Gosu.hpp>
#include "Obstaculo.h"
#include <iostream>

Obstaculo::Obstaculo(Gosu::Graphics& graphics, int posX, int posY, int width, int height) : posX_(posX) , posY_(posY) , width_(width) , height_(height) {}


Obstaculo::~Obstaculo()
{
   delete img_;
}
      
      
int Obstaculo::posX()
{
   return posX_;
}

int Obstaculo::posY()
{
   return posY_;
}

int Obstaculo::width()
{
   return width_;
}
 
int Obstaculo::height()
{ 
   return height_;
}

void Obstaculo::draw(int x, int y, int z)
{
	img_->draw(x,y,z);
}

Basura::Basura(Gosu::Graphics& graphics, int posX, int posY) : Obstaculo (graphics, posX, posY, 95, 180)
{
	img_ = new Gosu::Image(graphics, L"../graficos/niveles/1/cubo.png");
}

Caja::Caja(Gosu::Graphics& graphics, int posX, int posY) : Obstaculo (graphics, posX, posY, 80, 65)
{
	img_ = new Gosu::Image(graphics, L"../graficos/niveles/1/caja.png");
}

