
#ifndef MOSQUITO_H
#define MOSQUITO_H

#include <Gosu/Gosu.hpp>
#include <vector>
#include <iostream>

using namespace std;

class Mosquito
{
	public:
		Mosquito(Gosu::Graphics& graphics, int posX, int posY);
		~Mosquito();
		int posX() const;
		int posY() const;
		int width() const;
		int height() const;

		vector<Gosu::Image*>& movimiento();
		pair<int,int> mover() const;
		pair<int,int>& mover();
		void muerto(bool valor);
		bool muerto() const;
		void draw(int x, int y, int z);

	private:
      vector<Gosu::Image*> movimiento_;
      pair <int,int> mover_;
      int posX_,posY_,width_,height_;
      bool muerto_;
};

#endif

